Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 529182 - app-text/poppler-0.44.0: IOError: [Errno 2] No such file or directory [...] /.cache-version.tmp'
Summary: app-text/poppler-0.44.0: IOError: [Errno 2] No such file or directory [...] /...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Maciej Mrozowski
URL:
Whiteboard:
Keywords:
: 535874 559304 (view as bug list)
Depends on:
Blocks:
 
Reported: 2014-11-13 22:08 UTC by Michał Górny
Modified: 2019-01-01 11:35 UTC (History)
5 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Build log (.gz) (app-text:poppler-0.28.1:20141113-220023.log.gz,25.40 KB, application/gzip)
2014-11-13 22:08 UTC, Michał Górny
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2014-11-13 22:08:29 UTC
Created attachment 389268 [details]
Build log (.gz)

Looks like some kind of a race condition to me, or a deeper silenced error :).

Traceback (most recent call last):
  File "/usr/bin/g-ir-scanner", line 55, in <module>
    sys.exit(scanner_main(sys.argv))
  File "/usr/lib64/gobject-introspection/giscanner/scannermain.py", line 508, in scanner_main
    transformer = create_transformer(namespace, options)
  File "/usr/lib64/gobject-introspection/giscanner/scannermain.py", line 370, in create_transformer
    identifier_filter_cmd=options.identifier_filter_cmd)
  File "/usr/lib64/gobject-introspection/giscanner/transformer.py", line 54, in __init__
    self._cachestore = CacheStore()
  File "/usr/lib64/gobject-introspection/giscanner/cachestore.py", line 83, in __init__
    self._check_cache_version()
  File "/usr/lib64/gobject-introspection/giscanner/cachestore.py", line 119, in _check_cache_version
    shutil.move(versiontmp, version)
  File "/usr/lib64/python2.7/shutil.py", line 302, in move
    copy2(src, real_dst)
  File "/usr/lib64/python2.7/shutil.py", line 130, in copy2
    copyfile(src, dst)
  File "/usr/lib64/python2.7/shutil.py", line 82, in copyfile
    with open(src, 'rb') as fsrc:
IOError: [Errno 2] No such file or directory: '/tmp/portage/app-text/poppler-0.28.1/homedir/.cache/g-ir-scanner/.cache-version.tmp'


[ebuild     U  ] app-text/poppler-0.28.1:0/47::gentoo [0.26.5:0/46::gentoo-cvs] USE="cairo curl cxx introspection jpeg jpeg2k lcms png tiff utils -cjk -debug -doc -qt4* (-qt5)" 0 KiB


Portage 2.2.14 (python 3.4.2-final-0, default/linux/amd64/13.0/desktop, gcc-4.9.2, glibc-2.20, 3.17.0-pf1-mgorny-amd64+ x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-3.17.0-pf1-mgorny-amd64+-x86_64-AMD_Athlon-tm-_64_X2_Dual_Core_Processor_3800+-with-gentoo-2.2
KiB Mem:     4047536 total,    362248 free
KiB Swap:    1502072 total,   1502072 free
Timestamp of tree: Thu, 13 Nov 2014 21:00:01 +0000
ld GNU ld (Gentoo 2.24 p1.4) 2.24
distcc 3.2rc1 x86_64-pc-linux-gnu [enabled]
ccache version 3.1.10 [disabled]
app-shells/bash:          3.2_p57, 4.3_p30-r1::gentoo-cvs
dev-java/java-config:     2.2.0
dev-lang/perl:            5.20.1-r2
dev-lang/python:          2.7.8, 3.3.5-r1, 3.4.2
dev-util/ccache:          3.1.10-r1
dev-util/cmake:           3.0.2
dev-util/pkgconfig:       0.28-r2
sys-apps/baselayout:      2.2::gentoo-cvs
sys-apps/openrc:          0.13.4
sys-apps/sandbox:         2.6-r1
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.11.6, 1.12.6, 1.14.1
sys-devel/binutils:       2.24-r3
sys-devel/gcc:            4.7.4, 4.8.3, 4.9.2
sys-devel/gcc-config:     1.8
sys-devel/libtool:        2.4.3-r2
sys-devel/make:           4.1-r1
sys-kernel/linux-headers: 3.17-r1 (virtual/os-headers)
sys-libs/glibc:           2.20
Repositories: gentoo x11 sunrise gentoo-haskell gnome qt gentoo-cvs mgorny
Installed sets: @system
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=k8-sse3 -mcx16 -msahf --param l1-cache-size=64 --param l1-cache-line-size=64 --param l2-cache-size=512 -O2 -pipe -frecord-gcc-switches"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.6/ext-active/ /etc/php/cgi-php5.6/ext-active/ /etc/php/cli-php5.6/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=k8-sse3 -mcx16 -msahf --param l1-cache-size=64 --param l1-cache-line-size=64 --param l2-cache-size=512 -O2 -pipe -frecord-gcc-switches"
DISTDIR="/srv/nfs/common/distfiles"
EMERGE_DEFAULT_OPTS="--with-bdeps y --ask --keep-going --quiet-build=n --dynamic-deps=n"
FCFLAGS="-march=k8-sse3 -mcx16 -msahf --param l1-cache-size=64 --param l1-cache-line-size=64 --param l2-cache-size=512 -O2 -pipe -frecord-gcc-switches"
FEATURES="assume-digests binpkg-logs buildpkg cgroup collision-protect compress-build-logs config-protect-if-modified distcc distlocks ebuild-locks fixlafiles merge-sync multilib-strict news parallel-fetch preserve-libs protect-owned sandbox sfperms sign strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync"
FFLAGS="-march=k8-sse3 -mcx16 -msahf --param l1-cache-size=64 --param l1-cache-line-size=64 --param l2-cache-size=512 -O2 -pipe -frecord-gcc-switches"
GENTOO_MIRRORS="http://gentoo.mirror.web4u.cz/ http://mirror.netcologne.de/gentoo/ http://ftp.snt.utwente.nl/pub/os/linux/gentoo http://gd.tuwien.ac.at/opsys/linux/gentoo/ http://gentoo.mirror.pw.edu.pl/ http://ftp.vectranet.pl/gentoo/ http://ftp.fi.muni.cz/pub/linux/gentoo/"
INSTALL_MASK=""
LANG="pl_PL.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed -Wl,--hash-style=gnu"
MAKEOPTS="-j12"
PKGDIR="/srv/nfs/common/packages/athlon64"
PORTAGE_COMPRESS="lzip"
PORTAGE_COMPRESS_FLAGS="-9"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --times --compress --force --whole-file --delete --stats --timeout=45 --exclude=/distfiles --exclude=/packages --exclude=/local --exclude=CVS --exclude=/metadata/cache --omit-dir-times"
PORTAGE_TMPDIR="/tmp"
PORTDIR="/var/db/repos/gentoo"
PORTDIR_OVERLAY="/var/db/repos/x11 /var/db/repos/sunrise /var/db/repos/haskell /var/db/repos/gnome /home/mgorny/git/qt /usr/src/gx86 /home/mgorny/git/mgorny-repo"
USE="3dnow 3dnowext X a52 aac acl adns aio alsa amd64 bash-completion bluetooth branding btrfs bzip2 cairo caps cdda cdr cli crypt cups curl cxx dbus djvu dri dts dvb dvd dvdr egl emboss exif fftw firefox flac fontconfig fortran gd gif glamor gmp gnuplot gnutls gphoto2 gstreamer gtk iconv idn imagemagick ipv6 jpeg jpeg2k kate latex lcms libass libatomic liblockfile libnotify libproxy libsamplerate libsecret libtiger lz4 lzma lzo mad mmap mmx mmxext mng modules mp3 mp4 mpeg mtp multilib ncurses nls nptl ogg openal opencl opengl openmp openvg opus osmesa pam pango pch pcre pcre-jit pdf plotutils png policykit postscript ppds qt3support readline sdl session slang smp sndfile speex spell sse sse2 sse3 ssl startup-notification svg systemd t1lib tcpd threads tiff truetype udev udisks unicode upower usb v4l2 vhosts vim-syntax vorbis wavpack wayland webp wmf wxwidgets x264 xattr xcb xft xml xpm xv xvid xvmc zlib zsh-completion" ABI_X86="32 64" ALSA_CARDS="hda-intel emu10k1 virmidi mpu401 pcsp" APACHE2_MODULES="actions alias deflate filter mime mime_magic negotiation rewrite socache_shmcb unixd" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="pl" LIRC_DEVICES="serial" NGINX_MODULES_HTTP="gzip limit_conn limit_req rewrite spdy uwsgi" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-5" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_4 python3_3 jython2_7 pypy" QEMU_SOFTMMU_TARGETS="i386 x86_64 ppc ppc64 ppc64abi32 arm aarch64" QEMU_USER_TARGETS="ppc ppc64 arm aarch64" RUBY_TARGETS="ruby19 ruby20" SANE_BACKENDS="artec_eplus48u" USERLAND="GNU" VIDEO_CARDS="nouveau vesa radeon r600 s3" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
USE_PYTHON="2.7 3.3"
Unset:  CPPFLAGS, CTARGET, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_RSYNC_EXTRA_OPTS, SYNC

=================================================================
                        Package Settings
=================================================================

dev-libs/gobject-introspection-1.42.0 was built with the following:
USE="cairo -doctool -test" ABI_X86="64" PYTHON_TARGETS="python2_7"
Comment 1 Mikhail Cheshkov 2015-04-05 09:33:40 UTC
Just had same issue with =app-text/poppler-0.32.0

Workaround that with MAKEOPTS="-j1"
Comment 2 augustin 2015-06-03 01:59:12 UTC
2 more users in the forum very recently encountered this same bug during an emerge @world: 
https://forums.gentoo.org/viewtopic-p-7757226.html#7757226  

One with poppler-0.32.0
The other with poppler-0.33.0-r1

We easily solved the problem by emerning poppler alone, although a long term fix would still be nice for future users.
Comment 3 Ben Kohler gentoo-dev 2015-09-01 19:06:41 UTC
*** Bug 559304 has been marked as a duplicate of this bug. ***
Comment 4 Joseph 2015-09-01 19:11:02 UTC
Here are the errors I'm getting with poppler:

Linking CXX executable pdftocairo
cd /var/tmp/portage/app-text/poppler-0.32.0/work/poppler-0.32.0_build/utils && /usr/bin/cmake -E cmake_link_script CMakeFiles/pdftocairo.dir/link.txt --verbose=1
/usr/bin/x86_64-pc-linux-gnu-g++   -Wall -Wcast-align -fno-exceptions -fno-check-new -fno-common -march=nocona -O2 -pipe  -Wnon-virtual-dtor -Woverloaded-virtual   -Wl,-O1 -Wl,--as-needed CMakeFiles/pdftocairo.dir/parseargs.cc.o CMakeFiles/pdftocairo.dir/pdftocairo.cc.o CMakeFiles/pdftocairo.dir/pdftocairo-win32.cc.o CMakeFiles/pdftocairo.dir/__/poppler/CairoFontEngine.cc.o CMakeFiles/pdftocairo.dir/__/poppler/CairoOutputDev.cc.o CMakeFiles/pdftocairo.dir/__/poppler/CairoRescaleBox.cc.o  -o pdftocairo -rdynamic -lcairo -lfreetype ../libpoppler.so.51.0.0 -lpthread -llcms2 -Wl,-rpath,/var/tmp/portage/app-text/poppler-0.32.0/work/poppler-0.32.0_build:
/usr/lib64/libtiff.so.5: undefined reference to `jpeg_finish_compress@LIBJPEG_6.2'
/usr/lib64/libtiff.so.5: undefined reference to `jpeg_write_scanlines@LIBJPEG_6.2'
/usr/lib64/libtiff.so.5: undefined reference to `jpeg_std_error@LIBJPEG_6.2'
/usr/lib64/libtiff.so.5: undefined reference to `jpeg_set_quality@LIBJPEG_6.2'
/usr/lib64/libtiff.so.5: undefined reference to `jpeg_finish_decompress@LIBJPEG_6.2'
/usr/lib64/libtiff.so.5: undefined reference to `jpeg_destroy@LIBJPEG_6.2'
/usr/lib64/libtiff.so.5: undefined reference to `jpeg_set_defaults@LIBJPEG_6.2'
/usr/lib64/libtiff.so.5: undefined reference to `jpeg_read_scanlines@LIBJPEG_6.2'
/usr/lib64/libtiff.so.5: undefined reference to `jpeg_CreateCompress@LIBJPEG_6.2'
/usr/lib64/libtiff.so.5: undefined reference to `jpeg_read_raw_data@LIBJPEG_6.2'
/usr/lib64/libtiff.so.5: undefined reference to `jpeg_start_compress@LIBJPEG_6.2'
/usr/lib64/libtiff.so.5: undefined reference to `jpeg_CreateDecompress@LIBJPEG_6.2'
/usr/lib64/libtiff.so.5: undefined reference to `jpeg_start_decompress@LIBJPEG_6.2'
/usr/lib64/libtiff.so.5: undefined reference to `jpeg_write_tables@LIBJPEG_6.2'
/usr/lib64/libtiff.so.5: undefined reference to `jpeg_resync_to_restart@LIBJPEG_6.2'
/usr/lib64/libtiff.so.5: undefined reference to `jpeg_set_colorspace@LIBJPEG_6.2'
/usr/lib64/libtiff.so.5: undefined reference to `jpeg_read_header@LIBJPEG_6.2'
/usr/lib64/libtiff.so.5: undefined reference to `jpeg_write_raw_data@LIBJPEG_6.2'
/usr/lib64/libtiff.so.5: undefined reference to `jpeg_abort@LIBJPEG_6.2'
/usr/lib64/libtiff.so.5: undefined reference to `jpeg_suppress_tables@LIBJPEG_6.2'
collect2: error: ld returned 1 exit status
utils/CMakeFiles/pdftocairo.dir/build.make:214: recipe for target 'utils/pdftocairo' failed
make[2]: *** [utils/pdftocairo] Error 1
make[2]: Leaving directory '/var/tmp/portage/app-text/poppler-0.32.0/work/poppler-0.32.0_build'
CMakeFiles/Makefile2:305: recipe for target 'utils/CMakeFiles/pdftocairo.dir/all' failed
make[1]: *** [utils/CMakeFiles/pdftocairo.dir/all] Error 2
make[1]: Leaving directory '/var/tmp/portage/app-text/poppler-0.32.0/work/poppler-0.32.0_build'
Makefile:126: recipe for target 'all' failed
make: *** [all] Error 2
 * ERROR: app-text/poppler-0.32.0::gentoo failed (compile phase):
 *   emake failed
 *
 * If you need support, post the output of `emerge --info '=app-text/poppler-0.32.0::gentoo'`,
 * the complete build log and the output of `emerge -pqv '=app-text/poppler-0.32.0::gentoo'`.
 * The complete build log is located at '/var/log/portage/app-text:poppler-0.32.0:20150901-171555.log'.
 * For convenience, a symlink to the build log is located at '/var/tmp/portage/app-text/poppler-0.32.0/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/app-text/poppler-0.32.0/temp/environment'.
 * Working directory: '/var/tmp/portage/app-text/poppler-0.32.0/work/poppler-0.32.0_build'
 * S: '/var/tmp/portage/app-text/poppler-0.32.0/work/poppler-0.32.0'

Re-emerging poppler doesn't help.

I've tried (is it how you use it?)
MAKEOPTS="-j1" emerge -1aNDv  app-text/poppler

It doesn't help either.
Comment 5 Joseph 2015-09-01 19:37:26 UTC
poppler-0.34.0 doesn't compile either. 

collect2: error: ld returned 1 exit status
utils/CMakeFiles/pdftocairo.dir/build.make:214: recipe for target 'utils/pdftocairo' failed
make[2]: *** [utils/pdftocairo] Error 1
make[2]: Leaving directory '/var/tmp/portage/app-text/poppler-0.34.0/work/poppler-0.34.0_build'
CMakeFiles/Makefile2:305: recipe for target 'utils/CMakeFiles/pdftocairo.dir/all' failed
make[1]: *** [utils/CMakeFiles/pdftocairo.dir/all] Error 2
make[1]: Leaving directory '/var/tmp/portage/app-text/poppler-0.34.0/work/poppler-0.34.0_build'
Makefile:126: recipe for target 'all' failed
make: *** [all] Error 2
 * ERROR: app-text/poppler-0.34.0::gentoo failed (compile phase):
 *   emake failed
 *
 * If you need support, post the output of `emerge --info '=app-text/poppler-0.34.0::gentoo'`,
 * the complete build log and the output of `emerge -pqv '=app-text/poppler-0.34.0::gentoo'`.
 * The complete build log is located at '/var/log/portage/app-text:poppler-0.34.0:20150901-193306.log'.
 * For convenience, a symlink to the build log is located at '/var/tmp/portage/app-text/poppler-0.34.0/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/app-text/poppler-0.34.0/temp/environment'.
 * Working directory: '/var/tmp/portage/app-text/poppler-0.34.0/work/poppler-0.34.0_build'
 * S: '/var/tmp/portage/app-text/poppler-0.34.0/work/poppler-0.34.0'
Comment 6 Michael Palimaka (kensington) gentoo-dev 2016-01-29 11:00:39 UTC
*** Bug 535874 has been marked as a duplicate of this bug. ***
Comment 7 Johannes Huber gentoo-dev 2016-04-12 18:57:47 UTC
Was this reproducible with newer versions?
Comment 8 Peter Sliepenbeek 2016-04-14 03:53:52 UTC
app-text/poppler-0.32.0 builds on AMD64.
Comment 9 Oleh 2016-06-24 03:49:14 UTC
this is still happens with 0.44

/var/tmp/portage/app-text/poppler-0.44.0/work/poppler-0.44.0_build/glib/Poppler-0.18.gir
Traceback (most recent call last):
  File "/usr/bin/g-ir-scanner", line 55, in <module>
    sys.exit(scanner_main(sys.argv))
  File "/usr/lib64/gobject-introspection/giscanner/scannermain.py", line 508, in scanner_main
    transformer = create_transformer(namespace, options)
  File "/usr/lib64/gobject-introspection/giscanner/scannermain.py", line 370, in create_transformer
    identifier_filter_cmd=options.identifier_filter_cmd)
  File "/usr/lib64/gobject-introspection/giscanner/transformer.py", line 54, in __init__
    self._cachestore = CacheStore()
  File "/usr/lib64/gobject-introspection/giscanner/cachestore.py", line 83, in __init__
    self._check_cache_version()
  File "/usr/lib64/gobject-introspection/giscanner/cachestore.py", line 119, in _check_cache_version
    shutil.move(versiontmp, version)
  File "/usr/lib64/python2.7/shutil.py", line 303, in move
    os.unlink(src)
OSError: [Errno 2] No such file or directory: '/var/tmp/portage/app-text/poppler-0.44.0/homedir/.cache/g-ir-scanner/.cache-version.tmp'
glib/CMakeFiles/gir-typelibs.dir/build.make:93: recipe for target 'glib/Poppler-0.18.gir' failed
make[2]: *** [glib/Poppler-0.18.gir] Error 1
make[2]: Leaving directory '/var/tmp/portage/app-text/poppler-0.44.0/work/poppler-0.44.0_build'
CMakeFiles/Makefile2:571: recipe for target 'glib/CMakeFiles/gir-typelibs.dir/all' failed
make[1]: *** [glib/CMakeFiles/gir-typelibs.dir/all] Error 2
Comment 10 Oleh 2016-06-24 03:50:56 UTC
still failing with 0.44:


/var/tmp/portage/app-text/poppler-0.44.0/work/poppler-0.44.0_build/glib/Poppler-0.18.gir
Traceback (most recent call last):
  File "/usr/bin/g-ir-scanner", line 55, in <module>
    sys.exit(scanner_main(sys.argv))
  File "/usr/lib64/gobject-introspection/giscanner/scannermain.py", line 508, in scanner_main
    transformer = create_transformer(namespace, options)
  File "/usr/lib64/gobject-introspection/giscanner/scannermain.py", line 370, in create_transformer
    identifier_filter_cmd=options.identifier_filter_cmd)
  File "/usr/lib64/gobject-introspection/giscanner/transformer.py", line 54, in __init__
    self._cachestore = CacheStore()
  File "/usr/lib64/gobject-introspection/giscanner/cachestore.py", line 83, in __init__
    self._check_cache_version()
  File "/usr/lib64/gobject-introspection/giscanner/cachestore.py", line 119, in _check_cache_version
    shutil.move(versiontmp, version)
  File "/usr/lib64/python2.7/shutil.py", line 303, in move
    os.unlink(src)
OSError: [Errno 2] No such file or directory: '/var/tmp/portage/app-text/poppler-0.44.0/homedir/.cache/g-ir-scanner/.cache-version.tmp'
glib/CMakeFiles/gir-typelibs.dir/build.make:93: recipe for target 'glib/Poppler-0.18.gir' failed
make[2]: *** [glib/Poppler-0.18.gir] Error 1
make[2]: Leaving directory '/var/tmp/portage/app-text/poppler-0.44.0/work/poppler-0.44.0_build'
CMakeFiles/Makefile2:571: recipe for target 'glib/CMakeFiles/gir-typelibs.dir/all' failed
make[1]: *** [glib/CMakeFiles/gir-typelibs.dir/all] Error 2
Comment 11 Oleh 2016-06-24 03:52:27 UTC
a real workaround to this is restrict makeopts in poppler ebuild. it is known to have parallel make failures.
Comment 12 Oleh 2016-06-24 03:58:02 UTC
src_compile() {
	cmake-utils_src_compile -j1
}

and we are safe for all time, unless someone finds real cause of parallel make filures.
Comment 13 Andreas Sturmlechner gentoo-dev 2017-11-24 23:19:51 UTC
Can you reproduce that issue with latest stable 0.57.0?
Comment 14 augustin 2017-11-27 07:20:06 UTC
Reproducibility was itself an issue: see above. The workaround was to install poppler on its own before performing a larger update @world.

I can only say that I have had app-text/poppler-0.57.0 installed for a while, and I don't recall having encountered this problem since I last reported it, above, but others apparently did.
Comment 15 Andreas Sturmlechner gentoo-dev 2018-12-31 21:40:40 UTC
2.5 years after the last report, can we assume this to be fixed?
Comment 16 Andreas Sturmlechner gentoo-dev 2019-01-01 11:35:18 UTC
This was probably fixed by upstream commit 376ae2f8b8a92fd7bd751fbfcd0aa46530b59ca4.